> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Admin Binding



## OpenAPI

````yaml /openapi.json put /v1/admin/providers/binding
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/admin/providers/binding:
    put:
      tags:
        - admin
      summary: Put Admin Binding
      operationId: put_admin_binding_v1_admin_providers_binding_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BindingUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    BindingUpdate:
      properties:
        bindings:
          additionalProperties:
            items:
              type: string
            type: array
          title: Bindings
          type: object
        daily_cost_cap_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Daily Cost Cap Usd
        egress_allowlist:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Egress Allowlist
        mode:
          title: Mode
          type: string
      required:
        - mode
      title: BindingUpdate
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````